package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.SolidwasteDanger;
import com.lightinit.hsdatashow.entity.SolidwasteDangerExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SolidwasteDangerMapper {
    long countByExample(SolidwasteDangerExample example);

    int deleteByExample(SolidwasteDangerExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SolidwasteDanger record);

    int insertSelective(SolidwasteDanger record);

    List<SolidwasteDanger> selectByExample(SolidwasteDangerExample example);

    SolidwasteDanger selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SolidwasteDanger record, @Param("example") SolidwasteDangerExample example);

    int updateByExample(@Param("record") SolidwasteDanger record, @Param("example") SolidwasteDangerExample example);

    int updateByPrimaryKeySelective(SolidwasteDanger record);

    int updateByPrimaryKey(SolidwasteDanger record);

    List<SolidwasteDanger> getSolidwasteDanger(@Param("year") int year);
}